diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 878c157..1c3ac9c 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -104779,19 +104779,21 @@ UnivariateLaurentSeriesConstructor(Coef,UTS):_
 
     multiplyCoefficients(f,x) ==
       e := getExpon x
-      laurent(e,multiplyCoefficients(f(e + #1),getUTS x))
+      laurent(e,multiplyCoefficients((z1:I):Coef +-> f(e + z1),getUTS x))
 
     multiplyExponents(x,n) ==
       laurent(n * getExpon x,multiplyExponents(getUTS x,n))
 
     differentiate x ==
       e := getExpon x
-      laurent(e - 1,multiplyCoefficients((e + #1) :: Coef,getUTS x))
+      laurent(e - 1,
+              multiplyCoefficients((z1:I):Coef +-> (e + z1)::Coef,getUTS x))
 
     if Coef has PartialDifferentialRing(Symbol) then
       differentiate(x:%,s:Symbol) ==
         (s = variable(x)) => differentiate x
-        map(differentiate(#1,s),x) - differentiate(center x,s)*differentiate(x)
+        map((z1:Coef):Coef +-> differentiate(z1,s),x) 
+                                 - differentiate(center x,s)*differentiate(x)
 
     characteristic() == characteristic()$Coef
 
@@ -104880,13 +104882,14 @@ UnivariateLaurentSeriesConstructor(Coef,UTS):_
         not zero? coefficient(x,-1) =>
           error "integrate: series has term of order -1"
         e := getExpon x
-        laurent(e + 1,multiplyCoefficients(ratInv(e + 1 + #1),getUTS x))
+        laurent(e+1,multiplyCoefficients((z:I):Coef+->ratInv(e+1+z),getUTS x))
 
       if Coef has integrate: (Coef,Symbol) -> Coef and _
          Coef has variables: Coef -> List Symbol then
         integrate(x:%,s:Symbol) ==
           (s = variable(x)) => integrate x
-          not entry?(s,variables center x) => map(integrate(#1,s),x)
+          not entry?(s,variables center x)
+             => map((z1:Coef):Coef+->integrate(z1,s),x)
           error "integrate: center is a function of variable of integration"
 
       if Coef has TranscendentalFunctionCategory and _
@@ -104902,7 +104905,7 @@ UnivariateLaurentSeriesConstructor(Coef,UTS):_
         integrate(x:%,s:Symbol) ==
           (s = variable(x)) => integrate x
           not entry?(s,variables center x) =>
-            map(integrateWithOneAnswer(#1,s),x)
+            map((z1:Coef):Coef +-> integrateWithOneAnswer(z1,s),x)
           error "integrate: center is a function of variable of integration"
 
     termOutput:(I,Coef,OUT) -> OUT
diff --git a/changelog b/changelog
index 556b0c8..0530e9a 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090518 tpd src/axiom-website/patches.html 20090518.08.tpd.patch
+20090518 tpd books/bookvol10.3 ULSCONS +-> conversion
 20090518 tpd src/axiom-website/patches.html 20090518.07.tpd.patch
 20090518 tpd src/algebra/Makefile add input, help, examples for SMTS
 20090518 tpd books/bookvol10.3 SMTS add input, help, examples
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 8468db8..6427f36 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1352,5 +1352,7 @@ bookvol10.3 SMTS +-> conversion<br/>
 bookvol10.4 EXPR2 +-> conversion<br/>
 <a href="patches/20090518.07.tpd.patch">20090518.07.tpd.patch</a>
 bookvol10.3 SMTS add input, help, examples<br/>
+<a href="patches/20090518.08.tpd.patch">20090518.08.tpd.patch</a>
+bookvol10.3 ULSCONS +-> conversion<br/>
  </body>
 </html>
